import { baseRequest, coreRequest } from '../request';
export function fetchListApps(query?: Api.Home.commonQuery) {
  return baseRequest({
    url: '/api/v1/ot-apps',
    method: 'get',
    params: query
  });
}
// 首页-业务搜索
export function searchBizName(query?: Api.Home.bizSearchQuery) {
  return coreRequest({
    url: '/v1/biz/search',
    method: 'get',
    params: query
  });
}
// 首页- 搜索url
export function searchServiceUrl(query?: Api.Home.urlSearchQuery) {
  return baseRequest({
    url: '/api/v1/url-mapping/match',
    method: 'get',
    params: query
  });
}
// 修改应用
export function updateOtApps(id: any, data: Api.Home.addAliasParams) {
  return baseRequest({
    url: `/api/v1/ot-apps/${id}`,
    method: 'put',
    data
  });
}
// 新增应用
export function addOtApps(data: Api.Home.addAliasParams) {
  return baseRequest({
    url: '/api/v1/ot-apps',
    method: 'post',
    data
  });
}
// 上传照片
export function fetchUploadFile(data: any) {
  return baseRequest({
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    url: '/api/v1/public/uploadFile',
    method: 'post',
    data
  });
}
