import { defineStore } from 'pinia';
import { SetupStoreId } from '@/enum';
import { localStg } from '@/utils/storage';
import { reactive } from 'vue';
export const useAliasStore = defineStore(SetupStoreId.Alias, ()=>{
  const aliasState = reactive({
    currentAlias: '',
    allAliasArr: []
  })
  function setCurrentAlias(data: string) {
    aliasState.currentAlias = data
    localStg.set('currentAlias', data)
  }
  function setAllAliasArr(data:any){
    aliasState.allAliasArr = data
  }
  return {
    aliasState,
    setCurrentAlias,
    setAllAliasArr
  }
});
